Email Social Insights
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/email-social \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/email-social"
payload = {
"email": "<string>",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
trustFlowId: 0,
trustValidationId: '{your_trust_validation_id}'
})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/email-social', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Email social verification processed successfully",
"data": {
"social": {
"summary": {
"profilesRegistered": 11,
"namesFound": 0,
"photosFound": 1,
"profilesChecked": 46,
"registeredMerchantProfiles": 2,
"registeredGamingProfiles": 0,
"digitalFootprintDiversity": 5
},
"categories": {
"CONSUMERELECTRONICS": {
"global": {
"notRegistered": [
"apple",
"samsung"
]
}
},
"EMAILPROVIDER": {
"global": {
"registered": [
"google"
],
"notRegistered": [
"yahoo"
],
"profileDetails": {
"google": {
"photo": "<string>"
}
}
}
},
"MESSAGING": {
"global": {
"notRegistered": [
"kommo"
]
}
},
"PROFESSIONAL": {
"global": {
"registered": [
"github",
"zoho",
"adobe"
],
"notRegistered": [
"hubspot",
"codecademy",
"dropbox",
"replit",
"firefox",
"treehouse",
"trello"
]
},
"local": {
"notRegistered": [
"insightly"
]
}
},
"ENTERTAINMENT": {
"global": {
"registered": [
"spotify"
],
"notRegistered": [
"vimeo",
"ea"
]
}
},
"TRAVEL": {
"global": {
"notRegistered": [
"trivago"
]
}
},
"FINANCIAL": {
"local": {
"notRegistered": [
"zapper"
]
}
},
"EDUCATION": {
"global": {
"notRegistered": [
"duolingo",
"ted",
"babbel",
"edx"
]
},
"local": {
"notRegistered": [
"coursera"
]
}
},
"LIFESTYLE": {
"global": {
"notRegistered": [
"komoot",
"bodybuilding"
]
}
},
"VPN": {
"global": {
"notRegistered": [
"airvpn"
]
}
},
"MERCHANT": {
"global": {
"registered": [
"zohoMerchant",
"woocommerceMerchant"
],
"notRegistered": [
"zapierMerchant"
]
}
},
"GAMING": {
"global": {
"notRegistered": [
"chess",
"kahoot"
]
}
}
}
}
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "email_social",
"metadata": null,
"createdAt": "<string>"
}Alternative Verifications
Email Social Insights
Gather social footprint intelligence for an email address, including platform registration signals across email providers, ecommerce, messaging, and social media.
POST
/
api
/
v3
/
verifications
/
email-social
Email Social Insights
Authorizations
Use Bearer {your_api_token} in the Authorization header.
Body
application/json
Response
200 - application/json
Email social insights completed successfully
Email social intelligence returned for the submitted address.
Show child attributes
Show child attributes
Timestamp when the verification was created.
⌘I

